package com.ss.android.ugc.aweme.sticker.data;

import X.C0262FZc;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.ss.android.ugc.aweme.base.model.UrlModel;
import com.ss.android.ugc.aweme.profile.model.User;
import java.util.Objects;

public final class DuetStickerUserStruct implements Parcelable {
    public static final Parcelable.Creator<DuetStickerUserStruct> CREATOR = new C0262FZc();
    @c(LIZ = "nick_name")
    public final String LIZ;
    @c(LIZ = "user_name")
    public final String LIZIZ;
    @c(LIZ = "avatar_url")
    public final UrlModel LIZJ;
    @c(LIZ = "sec_uid")
    public final String LIZLLL;
    @c(LIZ = "uid")
    public final String LJ;

    static {
        Covode.recordClassIndex(115601);
    }

    private Object[] LIZIZ() {
        return new Object[]{this.LIZ, this.LIZIZ, this.LIZJ, this.LIZLLL, this.LJ};
    }

    public final int describeContents() {
        return 0;
    }

    public final boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof DuetStickerUserStruct)) {
            return false;
        }
        return M12.LIZ(((DuetStickerUserStruct) obj).LIZIZ(), LIZIZ());
    }

    public final int hashCode() {
        return Objects.hash(LIZIZ());
    }

    public final String toString() {
        return M12.LIZ("DuetStickerUserStruct:%s,%s,%s,%s,%s", LIZIZ());
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.LIZ);
        parcel.writeString(this.LIZIZ);
        parcel.writeSerializable(this.LIZJ);
        parcel.writeString(this.LIZLLL);
        parcel.writeString(this.LJ);
    }

    public final User LIZ() {
        User user = new User();
        user.setNickname(this.LIZ);
        user.setUniqueId(this.LIZIZ);
        user.setAvatarThumb(this.LIZJ);
        user.setSecUid(this.LIZLLL);
        user.setUid(this.LJ);
        return user;
    }

    public DuetStickerUserStruct(String str, String str2, UrlModel urlModel, String str3, String str4) {
        M12.LIZ(str, str2, urlModel, str3, str4);
        this.LIZ = str;
        this.LIZIZ = str2;
        this.LIZJ = urlModel;
        this.LIZLLL = str3;
        this.LJ = str4;
    }
}
